#
# $Id: libdpcap.spec.in,v 1.3 2001/02/07 02:57:14 laik Exp $
#
# libdpcap.spec
#
# Copyright (C) 2000 Kevin Lai
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
%define name libdpcap
%define major 1
%define minor 3
%define tertiary 4
%define lt_release 1
%define lt_current 3
%define lt_revision 4
%define lt_age 0
%define lt_old 3
%define release 1
%define version %{major}.%{minor}.%{tertiary}
%define prefix /usr

Name: %{name}
Version: %version
Release: %release 
Summary: Libdpcap is a library for doing distributed packet capture.
Copyright: GPL
Group: Development/Libraries
Packager: Kevin I-Sen Lai <laik@cs.stanford.edu>
Source: ftp://mosquitonet.stanford.edu/pub/laik/%{name}-%{version}.tar.gz
URL: ftp://mosquitonet.stanford.edu/pub/laik/%{name}-%{version}.tar.gz
Prefix: %{prefix}
Docdir: %{prefix}/share/doc

#Patch0: 

%description
Libdpcap is a library for doing distributed packet capture. It helps 
applications capture packets at different hosts and determine which reports 
correspond to the same packet. The allows calculating one way packet delay and 
inter-packet delay without relying on round trip delay measurements.

%prep
%setup
#%patch0 -p1
#rm -f *.orig

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%prefix
make

%install
make install

%clean
make uninstall
rm -fr %_docdir/%{name}-%{version}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%doc AUTHORS COPYING ChangeLog NEWS README TODO INSTALL
%{prefix}/lib/%{name}-%{lt_release}.so.%{lt_old}
%{prefix}/lib/%{name}-%{lt_release}.so.%{lt_old}.%{lt_age}.%{lt_revision}
%{prefix}/lib/%{name}.so
%{prefix}/lib/%{name}.a
%{prefix}/lib/%{name}.la
%{prefix}/include/%{name}

